Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00269 Sound Minor Always Jan 28, 2008, 02:07 Jun 8, 2015, 00:20
Tester Karasu View Status Public Platform
Assigned To system11 Resolution Fixed OS
Status [?] Resolved Driver seta.cpp
Version 0.65 Fixed in Version 0.163 Build
Summary 00269: gundhara, madshark: Music only comes out of the left speaker. Sound comes out of both.
Description Music only comes out of the left speaker. Sound comes out of both.
Steps To Reproduce
Additional Information Probable cause in 0.65:
"Added stereo support to the X1-010 emulator and made it a proper sound core. [Nicola Salmoria]"
Flags
Regression Version 0.65
Affected Sets / Systems gundhara, madshark
Attached Files
 
Relationships
related to 01443Resolvedsystem11 msgundam: the sound effects are only emitted from the left channel. 
Notes
4
User avatar
No.06210
hap
Developer
May 30, 2010, 18:50
I don't think the soundchip emulation is faulty here, it's more likely the pcb is meant to be hooked up to mono sound, not stereo.

Does anyone have msgundam/gundhara/madshark pcb to verify?
User avatar
No.11722
system11
Senior Tester
Jun 7, 2015, 02:29
I've owned all of these (currently still have a Gundhara), none of them have pins for stereo output so even if the chip is stereo it's being mixed to mono on the boards anyway. I'm adding a clone so will fix this in the driver at the same time.
User avatar
No.11723
system11
Senior Tester
Jun 7, 2015, 03:30
https://github.com/mamedev/mame/pull/204
User avatar
No.11725
system11
Senior Tester
Jun 8, 2015, 00:20
Corrected (along with many other games in seta.c) - these boards have stereo sound chips but are mixed for mono output only for most (potentially all) games. Corrected all instances I have hardware experience with.